org.apache.struts2.osgi.host

## Class GlassfishOSGiHost

- java.lang.Object
- - org.apache.struts2.osgi.host.BaseOsgiHost
  - - org.apache.struts2.osgi.host.GlassfishOSGiHost

- All Implemented Interfaces:
    OsgiHost

      public class GlassfishOSGiHost
      extends BaseOsgiHost
      implements OsgiHost

  A glassfish implementation of an OsgiHost

- - ### Field Summary

    - ### Fields inherited from class org.apache.struts2.osgi.host.BaseOsgiHost

      `DETECT_JAVA_VERSION, JRE_JAVA_SPECIFICATION_VERSION, SCANNING_PACKAGE_INCLUDES, servletContext, VERSION_PATTERN, versionPattern`

    - ### Fields inherited from interface org.apache.struts2.osgi.host.OsgiHost

      `OSGI_BUNDLE_CONTEXT, OSGI_HEADER_STRUTS_ENABLED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlassfishOSGiHost()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `addSpringOSGiSupport()`
    `void` | `destroy()`
    `Map<String,org.osgi.framework.Bundle>` | `getActiveBundles()`
    `org.osgi.framework.BundleContext` | `getBundleContext()`
    `Map<String,org.osgi.framework.Bundle>` | `getBundles()` This bundle map will not change, but the status of the bundles can change over time.
    `void` | `init(javax.servlet.ServletContext servletContext)`

    - ### Methods inherited from class org.apache.struts2.osgi.host.BaseOsgiHost

      `addAutoStartBundles, addExportedPackages, findPropertiesFileInRelativePath, getBundlesInDir, getJarUrl, getProperties, getRunLevelDirs, getServletContextParam, getVersion, getVersionFromString, replaceSystemPackages, searchForPropertiesFilesInRelativePath`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GlassfishOSGiHost

          public GlassfishOSGiHost()

  - ### Method Detail

    - #### init

          public void init(javax.servlet.ServletContext servletContext)

      Specified by:
        `init` in interface `OsgiHost`
      Specified by:
        `init` in class `BaseOsgiHost`

    - #### addSpringOSGiSupport

          protected void addSpringOSGiSupport()

      Specified by:
        `addSpringOSGiSupport` in class `BaseOsgiHost`

    - #### getBundles

          public Map<String,org.osgi.framework.Bundle> getBundles()

      This bundle map will not change, but the status of the bundles can change over time. Use getActiveBundles() for active bundles
      Specified by:
        `getBundles` in interface `OsgiHost`
      Specified by:
        `getBundles` in class `BaseOsgiHost`
      Returns:
        map with bundles

    - #### getActiveBundles

          public Map<String,org.osgi.framework.Bundle> getActiveBundles()

      Specified by:
        `getActiveBundles` in interface `OsgiHost`
      Specified by:
        `getActiveBundles` in class `BaseOsgiHost`

    - #### getBundleContext

          public org.osgi.framework.BundleContext getBundleContext()

      Specified by:
        `getBundleContext` in interface `OsgiHost`
      Specified by:
        `getBundleContext` in class `BaseOsgiHost`

    - #### destroy

          public void destroy()
                       throws Exception

      Specified by:
        `destroy` in interface `OsgiHost`
      Specified by:
        `destroy` in class `BaseOsgiHost`
      Throws:
        `Exception`

Copyright © 2000–2026 Apache Software Foundation. All rights reserved.